Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Class SocketTimeoutException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.io.InterruptedIOException
                              |
                              +--java.net.SocketTimeoutException

All Implemented Interfaces:
  Serializable

public class SocketTimeoutException
extends InterruptedIOException

Signals that a timeout has occurred on a socket read or accept.

Since:
  1.4
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.InterruptedIOException
`bytesTransferred`

Constructor Summary
`SocketTimeoutException()` Construct a new SocketTimeoutException with no detailed message.
`SocketTimeoutException(String msg)` Constructs a new SocketTimeoutException with a detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SocketTimeoutException

    public SocketTimeoutException(String msg)

  Constructs a new SocketTimeoutException with a detail message.

Parameters:
  `msg` - the detail message

### SocketTimeoutException

    public SocketTimeoutException()

  Construct a new SocketTimeoutException with no detailed message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.